# Address to Tagzz name

### Resolve address to Tagzz name

```url
GET /resolve
```

#### Query Param

<table><thead><tr><th width="212">Param</th><th>Description</th></tr></thead><tbody><tr><td><code>address</code></td><td>Address that you want to resolve to get a Tagzz name</td></tr></tbody></table>

#### Example

{% code overflow="wrap" %}

```bash
curl -X GET "https://api.tagzz.xyz/resolve?address=0x2480a8f1325b579b57922929c895ba4ecd47521c" \
-H "Accept: application/json"
```

{% endcode %}

#### Response

{% tabs %}
{% tab title="Status: 200 OK" %}

```json
{
  "msg": "Address resolved",
  "resolvedData": "bruce$main"
}
```

{% endtab %}

{% tab title="Status: 404 Not Found" %}

```json
{
  "msg": "No matching domain found for the provided address"
}
```

{% endtab %}
{% endtabs %}

### Resolve multiple addresses to Tagzz names

```url
POST /resolve
```

#### Request Body

<table><thead><tr><th width="219">Key</th><th>Value</th></tr></thead><tbody><tr><td><code>addresses</code></td><td>An array of all the addresses that you want to resolve and get tagzz name.</td></tr></tbody></table>

#### Example

```bash
curl -X POST https://api.tagzz.xyz/resolve/multiple \
-H "Content-Type: application/json" \
-d '{
  "addresses": [
    "0x2480a8f1325b579b57922929c895ba4ecd47521c",
    "0xf8f98d77410e7aca58ccacb9f6092b91a919ec1c"
  ]
}'
```

#### Response

{% tabs %}
{% tab title="Status: 200 OK" %}
{% code title="All addresses resolved" overflow="wrap" %}

```json
{
  "msg": "Addresses resolved",
  "resolvedData": [
    {
      "address": "0x2480a8f1325b579b57922929c895ba4ecd47521c",
      "resolvedData": "bruce$main",
      "msg": "Address resolved"
    },
    {
      "address": "0xf8f98d77410e7aca58ccacb9f6092b91a919ec1c",
      "resolvedData": "clark$main",
      "msg": "Address resolved"
    }
  ]
}
```

{% endcode %}
{% endtab %}

{% tab title="Status: 206 Partial Content" %}
{% code title="Few addresses resolved" overflow="wrap" %}

```json
{
  "msg": "Addresses resolved",
  "resolvedData": [
    {
      "address": "0xa40da4d0272b2dc571baf9122165dd29989ae81c",
      "resolvedData": "rohit$otc",
      "msg": "Address resolved"
    },
    {
      "address": "0xa70da4d0272b2dc432baf9122165dd56784ae81c",
      "resolvedData": null,
      "msg": "No matching domain found"
    }
  ]
}
```

{% endcode %}
{% endtab %}

{% tab title="Status: 404 Not Found" %}

```json
{
  "msg": "No matching domains found for the provided addresses"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://tagzz.gitbook.io/tagzz-your-omnichain-identity/integration-guide/rest-api/address-to-tagzz-name.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
